/** @file
 *
 * contains stuff for simple config files.
 *
 * @author Reinhard Pfau \<Reinhard.Pfau@intra2net.com\>
 * 
 * @copyright &copy; Copyright 2007-2008 by Intra2net AG
 * @license commercial
 *
 * info@intra2net.com
 */

#ifndef __I2N_CONFIGFILE_HPP__
#define __I2N_CONFIGFILE_HPP__

#include <string>
#include <istream>
#include <boost/function.hpp>

#include "i2n_configdata.hpp"

namespace I2n
{


/*
**
*/

typedef boost::function< std::string(const std::string&) > ValueDecoder;


bool load_ini_config_file(
    const std::string& filename,
    ConfigData& result,
    const ValueDecoder& decoder = ValueDecoder()
);


bool load_ini_config(
    std::istream& f,
    ConfigData& result,
    const ValueDecoder& decoder = ValueDecoder()
);



} // eo namespace I2n

#endif
